Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 22 Dec 2021 10:38:22 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I have requested return of items  those are delivered with damages. No one called or came to collect. I came with the item to your Sharq branch and they said cannot take it until online return is cancelled by calling call center. No one answers and always it's engaged. I need an update and return ofmy money. Very poor customer support and items damaged are delivered. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3520207